export const VOCAB = {
  'Any': 'https://w3id.org/cwl/salad#Any',
  'ArraySchema': 'https://w3id.org/cwl/salad#ArraySchema',
  'Documented': 'https://w3id.org/cwl/salad#Documented',
  'EnumSchema': 'https://w3id.org/cwl/salad#EnumSchema',
  'File': 'https://galaxyproject.org/gxformat2/v19_09#GalaxyType/File',
  'GalaxyType': 'https://galaxyproject.org/gxformat2/v19_09#GalaxyType',
  'GalaxyWorkflow': 'https://galaxyproject.org/gxformat2/v19_09#GalaxyWorkflow',
  'HasStepErrors': 'https://galaxyproject.org/gxformat2/gxformat2common#HasStepErrors',
  'HasStepPosition': 'https://galaxyproject.org/gxformat2/gxformat2common#HasStepPosition',
  'HasUUID': 'https://galaxyproject.org/gxformat2/gxformat2common#HasUUID',
  'Identified': 'https://w3id.org/cwl/cwl#Identified',
  'InputParameter': 'https://w3id.org/cwl/cwl#InputParameter',
  'Labeled': 'https://w3id.org/cwl/cwl#Labeled',
  'OutputParameter': 'https://w3id.org/cwl/cwl#OutputParameter',
  'Parameter': 'https://w3id.org/cwl/cwl#Parameter',
  'PrimitiveType': 'https://w3id.org/cwl/salad#PrimitiveType',
  'Process': 'https://w3id.org/cwl/cwl#Process',
  'RecordField': 'https://w3id.org/cwl/salad#RecordField',
  'RecordSchema': 'https://w3id.org/cwl/salad#RecordSchema',
  'ReferencesTool': 'https://galaxyproject.org/gxformat2/gxformat2common#ReferencesTool',
  'Report': 'https://galaxyproject.org/gxformat2/v19_09#Report',
  'Sink': 'https://galaxyproject.org/gxformat2/v19_09#Sink',
  'StepPosition': 'https://galaxyproject.org/gxformat2/gxformat2common#StepPosition',
  'ToolShedRepository': 'https://galaxyproject.org/gxformat2/gxformat2common#ToolShedRepository',
  'WorkflowInputParameter': 'https://galaxyproject.org/gxformat2/v19_09#WorkflowInputParameter',
  'WorkflowOutputParameter': 'https://galaxyproject.org/gxformat2/v19_09#WorkflowOutputParameter',
  'WorkflowStep': 'https://galaxyproject.org/gxformat2/v19_09#WorkflowStep',
  'WorkflowStepInput': 'https://galaxyproject.org/gxformat2/v19_09#WorkflowStepInput',
  'WorkflowStepOutput': 'https://galaxyproject.org/gxformat2/v19_09#WorkflowStepOutput',
  'WorkflowStepType': 'https://galaxyproject.org/gxformat2/v19_09#WorkflowStepType',
  'array': 'https://w3id.org/cwl/salad#array',
  'boolean': 'http://www.w3.org/2001/XMLSchema#boolean',
  'collection': 'https://galaxyproject.org/gxformat2/v19_09#GalaxyType/collection',
  'data': 'https://galaxyproject.org/gxformat2/v19_09#GalaxyType/data',
  'double': 'http://www.w3.org/2001/XMLSchema#double',
  'enum': 'https://w3id.org/cwl/salad#enum',
  'float': 'http://www.w3.org/2001/XMLSchema#float',
  'int': 'http://www.w3.org/2001/XMLSchema#int',
  'integer': 'https://galaxyproject.org/gxformat2/v19_09#GalaxyType/integer',
  'long': 'http://www.w3.org/2001/XMLSchema#long',
  'null': 'https://w3id.org/cwl/salad#null',
  'pause': 'https://galaxyproject.org/gxformat2/v19_09#WorkflowStepType/pause',
  'record': 'https://w3id.org/cwl/salad#record',
  'string': 'http://www.w3.org/2001/XMLSchema#string',
  'subworkflow': 'https://galaxyproject.org/gxformat2/v19_09#WorkflowStepType/subworkflow',
  'text': 'https://galaxyproject.org/gxformat2/v19_09#GalaxyType/text',
  'tool': 'https://galaxyproject.org/gxformat2/v19_09#WorkflowStepType/tool'
}
export const RVOCAB = {
  'https://w3id.org/cwl/salad#Any': 'Any',
  'https://w3id.org/cwl/salad#ArraySchema': 'ArraySchema',
  'https://w3id.org/cwl/salad#Documented': 'Documented',
  'https://w3id.org/cwl/salad#EnumSchema': 'EnumSchema',
  'https://galaxyproject.org/gxformat2/v19_09#GalaxyType/File': 'File',
  'https://galaxyproject.org/gxformat2/v19_09#GalaxyType': 'GalaxyType',
  'https://galaxyproject.org/gxformat2/v19_09#GalaxyWorkflow': 'GalaxyWorkflow',
  'https://galaxyproject.org/gxformat2/gxformat2common#HasStepErrors': 'HasStepErrors',
  'https://galaxyproject.org/gxformat2/gxformat2common#HasStepPosition': 'HasStepPosition',
  'https://galaxyproject.org/gxformat2/gxformat2common#HasUUID': 'HasUUID',
  'https://w3id.org/cwl/cwl#Identified': 'Identified',
  'https://w3id.org/cwl/cwl#InputParameter': 'InputParameter',
  'https://w3id.org/cwl/cwl#Labeled': 'Labeled',
  'https://w3id.org/cwl/cwl#OutputParameter': 'OutputParameter',
  'https://w3id.org/cwl/cwl#Parameter': 'Parameter',
  'https://w3id.org/cwl/salad#PrimitiveType': 'PrimitiveType',
  'https://w3id.org/cwl/cwl#Process': 'Process',
  'https://w3id.org/cwl/salad#RecordField': 'RecordField',
  'https://w3id.org/cwl/salad#RecordSchema': 'RecordSchema',
  'https://galaxyproject.org/gxformat2/gxformat2common#ReferencesTool': 'ReferencesTool',
  'https://galaxyproject.org/gxformat2/v19_09#Report': 'Report',
  'https://galaxyproject.org/gxformat2/v19_09#Sink': 'Sink',
  'https://galaxyproject.org/gxformat2/gxformat2common#StepPosition': 'StepPosition',
  'https://galaxyproject.org/gxformat2/gxformat2common#ToolShedRepository': 'ToolShedRepository',
  'https://galaxyproject.org/gxformat2/v19_09#WorkflowInputParameter': 'WorkflowInputParameter',
  'https://galaxyproject.org/gxformat2/v19_09#WorkflowOutputParameter': 'WorkflowOutputParameter',
  'https://galaxyproject.org/gxformat2/v19_09#WorkflowStep': 'WorkflowStep',
  'https://galaxyproject.org/gxformat2/v19_09#WorkflowStepInput': 'WorkflowStepInput',
  'https://galaxyproject.org/gxformat2/v19_09#WorkflowStepOutput': 'WorkflowStepOutput',
  'https://galaxyproject.org/gxformat2/v19_09#WorkflowStepType': 'WorkflowStepType',
  'https://w3id.org/cwl/salad#array': 'array',
  'http://www.w3.org/2001/XMLSchema#boolean': 'boolean',
  'https://galaxyproject.org/gxformat2/v19_09#GalaxyType/collection': 'collection',
  'https://galaxyproject.org/gxformat2/v19_09#GalaxyType/data': 'data',
  'http://www.w3.org/2001/XMLSchema#double': 'double',
  'https://w3id.org/cwl/salad#enum': 'enum',
  'http://www.w3.org/2001/XMLSchema#float': 'float',
  'http://www.w3.org/2001/XMLSchema#int': 'int',
  'https://galaxyproject.org/gxformat2/v19_09#GalaxyType/integer': 'integer',
  'http://www.w3.org/2001/XMLSchema#long': 'long',
  'https://w3id.org/cwl/salad#null': 'null',
  'https://galaxyproject.org/gxformat2/v19_09#WorkflowStepType/pause': 'pause',
  'https://w3id.org/cwl/salad#record': 'record',
  'http://www.w3.org/2001/XMLSchema#string': 'string',
  'https://galaxyproject.org/gxformat2/v19_09#WorkflowStepType/subworkflow': 'subworkflow',
  'https://galaxyproject.org/gxformat2/v19_09#GalaxyType/text': 'text',
  'https://galaxyproject.org/gxformat2/v19_09#WorkflowStepType/tool': 'tool'
}
